Bug 140009 - mnissing return statement
mnissing return statement
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: h2ps (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lawrence Lim
Bill Huang
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 04:49 EST by David Binderman
Modified: 2014-03-25 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 21:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-19 04:49:06 EST
Description of problem:

I just tried to compile package h2ps-2.06-12 from 
Redhat Fedora Core 3.

The compiler said

h2ps.c:806: warning: control reaches end of non-void function

The source code is

  if (is_verbose)
    fprintf(stderr, "[Total: %d pages on %d
sheets]\n",total_box_page_num, page_num);

}

Suggest add return statement to end of function.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lawrence Lim 2005-09-27 21:37:10 EDT
Checked with in rawhide (FC5) h2ps-2.06-14.src.rpm, problem does not exist anymore.

Note You need to log in before you can comment on or make changes to this bug.